#ifndef XANIMINDICES_H
#define XANIMINDICES_H

#include "xasset.h"

class XAnimIndices : public XAsset
{
public:
    explicit XAnimIndices();
    ~XAnimIndices() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

    quint32 GetIndex() const;
    void SetIndex(quint32 index);

private:
    quint32 mIndex = 0;
};

#endif // XANIMINDICES_H
